# Conversion Tracking

Additional details about Conversion Tracking [can be found here](https://docs.chartbeat.com/cbp/feature-integrations/conversion/adding-subscriptions.js-to-your-site).&#x20;

Chartbeat's Conversion Tracking supports the following events:

* Subscriptions (Paywall)
* Registrations
* Newsletter Signups
* Unsubscribes
* Offers
* Surveys
* Account Creations
* Downloads
* Donations
* Payments
* Searches
* Saves

Every category has two overloads — short form (type only) and long form with [optional parameters](https://docs.chartbeat.com/cbp/feature-integrations/conversion/conversion-events#event-parameters) (`pathOverride`, `eventLabel`, `eventValue`).

```java
import com.chartbeat.androidsdk.ConversionEvent;

Tracker.trackConversionPaywall(ConversionEvent.PaywallType.SHOWN);

Tracker.trackConversionPaywall(
    ConversionEvent.PaywallType.COMPLETE,
    "/paywall/monthly",   // pathOverride
    "monthly-sub",        // eventLabel
    "9.99"                // eventValue
);
```

The different conversion types (e.g. PaywallType, RegistrationType) are called with the relevant event state (e.g. Shown, Complete - see [full details below](https://app.gitbook.com/o/-LYD2YiRqOYWSR79uOpv/s/-LYD2YiVXfNNRnSgJXb4/~/edit/~/changes/490/tracking/mobile-app-sdks/android-sdk/conversion-tracking#four-state-types-shown-start-complete-cancel)) when an event occurs (e.g. a paywall appears, a newsletter signup form is submitted). &#x20;

| **Method**                                      | **Enum**                              |
| ----------------------------------------------- | ------------------------------------- |
| `trackConversionPaywall(...)`                   | `ConversionEvent.PaywallType`         |
| `trackConversionRegistration(...)`              | `ConversionEvent.RegistrationType`    |
| `trackConversionNewsletter(...)`                | `ConversionEvent.NewsletterType`      |
| `trackConversionUnsubscribe(...)`               | `ConversionEvent.UnsubscribeType`     |
| `trackConversionOffer(...)`                     | `ConversionEvent.OfferType`           |
| `trackConversionSurvey(...)`                    | `ConversionEvent.SurveyType`          |
| `trackConversionAccountCreation(...)`           | `ConversionEvent.AccountCreationType` |
| `trackConversionDownload(...)`                  | `ConversionEvent.DownloadsType`       |
| `trackConversionDonation(...)`                  | `ConversionEvent.DonationsType`       |
| `trackConversionCart(...)`                      | `ConversionEvent.CartType`            |
| `trackConversionPayment(...)`                   | `ConversionEvent.PaymentsType`        |
| `trackConversionSearch(...)`                    | `ConversionEvent.SearchType`          |
| `trackConversionSave(...)`                      | `ConversionEvent.SavesType`           |
| `trackConversionCustom(String customType, ...)` | — (free-form string)                  |

### Conversion Event Types and Available States

Available state types for each type of conversion event category:

#### Four-state types (SHOWN, START, COMPLETE, CANCEL)&#x20;

PaywallType, RegistrationType, NewsletterType, UnsubscribeType, OfferType, SurveyType, AccountCreationType, DonationsType

#### Three-state types (START, COMPLETE, CANCEL)

DownloadsType, PaymentsType

#### One-state types (COMPLETE only)

SearchType, SavesType


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chartbeat.com/cbp/tracking/mobile-app-sdks/android-sdk/conversion-tracking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
